ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/libptytty/configure
(Generate patch)

Comparing libptytty/configure (file contents):
Revision 1.1 by root, Sat Jan 21 22:54:49 2006 UTC vs.
Revision 1.2 by root, Sun Jan 22 00:51:22 2006 UTC

270PACKAGE_VERSION= 270PACKAGE_VERSION=
271PACKAGE_STRING= 271PACKAGE_STRING=
272PACKAGE_BUGREPORT= 272PACKAGE_BUGREPORT=
273 273
274ac_unique_file="src/logging.C" 274ac_unique_file="src/logging.C"
275# Factoring default headers for most tests.
276ac_includes_default="\
277#include <stdio.h>
278#if HAVE_SYS_TYPES_H
279# include <sys/types.h>
280#endif
281#if HAVE_SYS_STAT_H
282# include <sys/stat.h>
283#endif
284#if STDC_HEADERS
285# include <stdlib.h>
286# include <stddef.h>
287#else
288# if HAVE_STDLIB_H
289# include <stdlib.h>
290# endif
291#endif
292#if HAVE_STRING_H
293# if !STDC_HEADERS && HAVE_MEMORY_H
294# include <memory.h>
295# endif
296# include <string.h>
297#endif
298#if HAVE_STRINGS_H
299# include <strings.h>
300#endif
301#if HAVE_INTTYPES_H
302# include <inttypes.h>
303#else
304# if HAVE_STDINT_H
305# include <stdint.h>
306# endif
307#endif
308#if HAVE_UNISTD_H
309# include <unistd.h>
310#endif"
311
275ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LIBOBJS LTLIBOBJS' 312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA RM CXXCPP EGREP LIBOBJS LTLIBOBJS'
276ac_subst_files='' 313ac_subst_files=''
277 314
278# Initialize some variables set by options. 315# Initialize some variables set by options.
279ac_init_help= 316ac_init_help=
280ac_init_version=false 317ac_init_version=false
727ac_cv_env_LDFLAGS_value=$LDFLAGS 764ac_cv_env_LDFLAGS_value=$LDFLAGS
728ac_env_CPPFLAGS_set=${CPPFLAGS+set} 765ac_env_CPPFLAGS_set=${CPPFLAGS+set}
729ac_env_CPPFLAGS_value=$CPPFLAGS 766ac_env_CPPFLAGS_value=$CPPFLAGS
730ac_cv_env_CPPFLAGS_set=${CPPFLAGS+set} 767ac_cv_env_CPPFLAGS_set=${CPPFLAGS+set}
731ac_cv_env_CPPFLAGS_value=$CPPFLAGS 768ac_cv_env_CPPFLAGS_value=$CPPFLAGS
769ac_env_CXXCPP_set=${CXXCPP+set}
770ac_env_CXXCPP_value=$CXXCPP
771ac_cv_env_CXXCPP_set=${CXXCPP+set}
772ac_cv_env_CXXCPP_value=$CXXCPP
732 773
733# 774#
734# Report the --help message. 775# Report the --help message.
735# 776#
736if test "$ac_init_help" = "long"; then 777if test "$ac_init_help" = "long"; then
805 CXXFLAGS C++ compiler flags 846 CXXFLAGS C++ compiler flags
806 LDFLAGS linker flags, e.g. -L<lib dir> if you have libraries in a 847 LDFLAGS linker flags, e.g. -L<lib dir> if you have libraries in a
807 nonstandard directory <lib dir> 848 nonstandard directory <lib dir>
808 CPPFLAGS C/C++ preprocessor flags, e.g. -I<include dir> if you have 849 CPPFLAGS C/C++ preprocessor flags, e.g. -I<include dir> if you have
809 headers in a nonstandard directory <include dir> 850 headers in a nonstandard directory <include dir>
851 CXXCPP C++ preprocessor
810 852
811Use these variables to override the choices made by `configure' or to help 853Use these variables to override the choices made by `configure' or to help
812it to find libraries and programs with nonstandard names/locations. 854it to find libraries and programs with nonstandard names/locations.
813 855
814_ACEOF 856_ACEOF
1966ac_ext=cc 2008ac_ext=cc
1967ac_cpp='$CXXCPP $CPPFLAGS' 2009ac_cpp='$CXXCPP $CPPFLAGS'
1968ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5' 2010ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
1969ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5' 2011ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
1970ac_compiler_gnu=$ac_cv_cxx_compiler_gnu 2012ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
2013
2014
2015# Extract the first word of "rm", so it can be a program name with args.
2016set dummy rm; ac_word=$2
2017echo "$as_me:$LINENO: checking for $ac_word" >&5
2018echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
2019if test "${ac_cv_path_RM+set}" = set; then
2020 echo $ECHO_N "(cached) $ECHO_C" >&6
2021else
2022 case $RM in
2023 [\\/]* | ?:[\\/]*)
2024 ac_cv_path_RM="$RM" # Let the user override the test with a path.
2025 ;;
2026 *)
2027 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
2028for as_dir in $PATH
2029do
2030 IFS=$as_save_IFS
2031 test -z "$as_dir" && as_dir=.
2032 for ac_exec_ext in '' $ac_executable_extensions; do
2033 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
2034 ac_cv_path_RM="$as_dir/$ac_word$ac_exec_ext"
2035 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
2036 break 2
2037 fi
2038done
2039done
2040
2041 ;;
2042esac
2043fi
2044RM=$ac_cv_path_RM
2045
2046if test -n "$RM"; then
2047 echo "$as_me:$LINENO: result: $RM" >&5
2048echo "${ECHO_T}$RM" >&6
2049else
2050 echo "$as_me:$LINENO: result: no" >&5
2051echo "${ECHO_T}no" >&6
2052fi
2053
2054
2055
2056ac_ext=cc
2057ac_cpp='$CXXCPP $CPPFLAGS'
2058ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
2059ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
2060ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
2061echo "$as_me:$LINENO: checking how to run the C++ preprocessor" >&5
2062echo $ECHO_N "checking how to run the C++ preprocessor... $ECHO_C" >&6
2063if test -z "$CXXCPP"; then
2064 if test "${ac_cv_prog_CXXCPP+set}" = set; then
2065 echo $ECHO_N "(cached) $ECHO_C" >&6
2066else
2067 # Double quotes because CXXCPP needs to be expanded
2068 for CXXCPP in "$CXX -E" "/lib/cpp"
2069 do
2070 ac_preproc_ok=false
2071for ac_cxx_preproc_warn_flag in '' yes
2072do
2073 # Use a header file that comes with gcc, so configuring glibc
2074 # with a fresh cross-compiler works.
2075 # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
2076 # <limits.h> exists even on freestanding compilers.
2077 # On the NeXT, cc -E runs the code through the compiler's parser,
2078 # not just through cpp. "Syntax error" is here to catch this case.
2079 cat >conftest.$ac_ext <<_ACEOF
2080/* confdefs.h. */
2081_ACEOF
2082cat confdefs.h >>conftest.$ac_ext
2083cat >>conftest.$ac_ext <<_ACEOF
2084/* end confdefs.h. */
2085#ifdef __STDC__
2086# include <limits.h>
2087#else
2088# include <assert.h>
2089#endif
2090 Syntax error
2091_ACEOF
2092if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
2093 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
2094 ac_status=$?
2095 grep -v '^ *+' conftest.er1 >conftest.err
2096 rm -f conftest.er1
2097 cat conftest.err >&5
2098 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2099 (exit $ac_status); } >/dev/null; then
2100 if test -s conftest.err; then
2101 ac_cpp_err=$ac_cxx_preproc_warn_flag
2102 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
2103 else
2104 ac_cpp_err=
2105 fi
2106else
2107 ac_cpp_err=yes
2108fi
2109if test -z "$ac_cpp_err"; then
2110 :
2111else
2112 echo "$as_me: failed program was:" >&5
2113sed 's/^/| /' conftest.$ac_ext >&5
2114
2115 # Broken: fails on valid input.
2116continue
2117fi
2118rm -f conftest.err conftest.$ac_ext
2119
2120 # OK, works on sane cases. Now check whether non-existent headers
2121 # can be detected and how.
2122 cat >conftest.$ac_ext <<_ACEOF
2123/* confdefs.h. */
2124_ACEOF
2125cat confdefs.h >>conftest.$ac_ext
2126cat >>conftest.$ac_ext <<_ACEOF
2127/* end confdefs.h. */
2128#include <ac_nonexistent.h>
2129_ACEOF
2130if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
2131 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
2132 ac_status=$?
2133 grep -v '^ *+' conftest.er1 >conftest.err
2134 rm -f conftest.er1
2135 cat conftest.err >&5
2136 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2137 (exit $ac_status); } >/dev/null; then
2138 if test -s conftest.err; then
2139 ac_cpp_err=$ac_cxx_preproc_warn_flag
2140 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
2141 else
2142 ac_cpp_err=
2143 fi
2144else
2145 ac_cpp_err=yes
2146fi
2147if test -z "$ac_cpp_err"; then
2148 # Broken: success on invalid input.
2149continue
2150else
2151 echo "$as_me: failed program was:" >&5
2152sed 's/^/| /' conftest.$ac_ext >&5
2153
2154 # Passes both tests.
2155ac_preproc_ok=:
2156break
2157fi
2158rm -f conftest.err conftest.$ac_ext
2159
2160done
2161# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
2162rm -f conftest.err conftest.$ac_ext
2163if $ac_preproc_ok; then
2164 break
2165fi
2166
2167 done
2168 ac_cv_prog_CXXCPP=$CXXCPP
2169
2170fi
2171 CXXCPP=$ac_cv_prog_CXXCPP
2172else
2173 ac_cv_prog_CXXCPP=$CXXCPP
2174fi
2175echo "$as_me:$LINENO: result: $CXXCPP" >&5
2176echo "${ECHO_T}$CXXCPP" >&6
2177ac_preproc_ok=false
2178for ac_cxx_preproc_warn_flag in '' yes
2179do
2180 # Use a header file that comes with gcc, so configuring glibc
2181 # with a fresh cross-compiler works.
2182 # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
2183 # <limits.h> exists even on freestanding compilers.
2184 # On the NeXT, cc -E runs the code through the compiler's parser,
2185 # not just through cpp. "Syntax error" is here to catch this case.
2186 cat >conftest.$ac_ext <<_ACEOF
2187/* confdefs.h. */
2188_ACEOF
2189cat confdefs.h >>conftest.$ac_ext
2190cat >>conftest.$ac_ext <<_ACEOF
2191/* end confdefs.h. */
2192#ifdef __STDC__
2193# include <limits.h>
2194#else
2195# include <assert.h>
2196#endif
2197 Syntax error
2198_ACEOF
2199if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
2200 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
2201 ac_status=$?
2202 grep -v '^ *+' conftest.er1 >conftest.err
2203 rm -f conftest.er1
2204 cat conftest.err >&5
2205 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2206 (exit $ac_status); } >/dev/null; then
2207 if test -s conftest.err; then
2208 ac_cpp_err=$ac_cxx_preproc_warn_flag
2209 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
2210 else
2211 ac_cpp_err=
2212 fi
2213else
2214 ac_cpp_err=yes
2215fi
2216if test -z "$ac_cpp_err"; then
2217 :
2218else
2219 echo "$as_me: failed program was:" >&5
2220sed 's/^/| /' conftest.$ac_ext >&5
2221
2222 # Broken: fails on valid input.
2223continue
2224fi
2225rm -f conftest.err conftest.$ac_ext
2226
2227 # OK, works on sane cases. Now check whether non-existent headers
2228 # can be detected and how.
2229 cat >conftest.$ac_ext <<_ACEOF
2230/* confdefs.h. */
2231_ACEOF
2232cat confdefs.h >>conftest.$ac_ext
2233cat >>conftest.$ac_ext <<_ACEOF
2234/* end confdefs.h. */
2235#include <ac_nonexistent.h>
2236_ACEOF
2237if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
2238 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
2239 ac_status=$?
2240 grep -v '^ *+' conftest.er1 >conftest.err
2241 rm -f conftest.er1
2242 cat conftest.err >&5
2243 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2244 (exit $ac_status); } >/dev/null; then
2245 if test -s conftest.err; then
2246 ac_cpp_err=$ac_cxx_preproc_warn_flag
2247 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
2248 else
2249 ac_cpp_err=
2250 fi
2251else
2252 ac_cpp_err=yes
2253fi
2254if test -z "$ac_cpp_err"; then
2255 # Broken: success on invalid input.
2256continue
2257else
2258 echo "$as_me: failed program was:" >&5
2259sed 's/^/| /' conftest.$ac_ext >&5
2260
2261 # Passes both tests.
2262ac_preproc_ok=:
2263break
2264fi
2265rm -f conftest.err conftest.$ac_ext
2266
2267done
2268# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
2269rm -f conftest.err conftest.$ac_ext
2270if $ac_preproc_ok; then
2271 :
2272else
2273 { { echo "$as_me:$LINENO: error: C++ preprocessor \"$CXXCPP\" fails sanity check
2274See \`config.log' for more details." >&5
2275echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check
2276See \`config.log' for more details." >&2;}
2277 { (exit 1); exit 1; }; }
2278fi
2279
2280ac_ext=cc
2281ac_cpp='$CXXCPP $CPPFLAGS'
2282ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
2283ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
2284ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
2285
2286
2287echo "$as_me:$LINENO: checking for egrep" >&5
2288echo $ECHO_N "checking for egrep... $ECHO_C" >&6
2289if test "${ac_cv_prog_egrep+set}" = set; then
2290 echo $ECHO_N "(cached) $ECHO_C" >&6
2291else
2292 if echo a | (grep -E '(a|b)') >/dev/null 2>&1
2293 then ac_cv_prog_egrep='grep -E'
2294 else ac_cv_prog_egrep='egrep'
2295 fi
2296fi
2297echo "$as_me:$LINENO: result: $ac_cv_prog_egrep" >&5
2298echo "${ECHO_T}$ac_cv_prog_egrep" >&6
2299 EGREP=$ac_cv_prog_egrep
2300
2301
2302echo "$as_me:$LINENO: checking for ANSI C header files" >&5
2303echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
2304if test "${ac_cv_header_stdc+set}" = set; then
2305 echo $ECHO_N "(cached) $ECHO_C" >&6
2306else
2307 cat >conftest.$ac_ext <<_ACEOF
2308/* confdefs.h. */
2309_ACEOF
2310cat confdefs.h >>conftest.$ac_ext
2311cat >>conftest.$ac_ext <<_ACEOF
2312/* end confdefs.h. */
2313#include <stdlib.h>
2314#include <stdarg.h>
2315#include <string.h>
2316#include <float.h>
2317
2318int
2319main ()
2320{
2321
2322 ;
2323 return 0;
2324}
2325_ACEOF
2326rm -f conftest.$ac_objext
2327if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
2328 (eval $ac_compile) 2>conftest.er1
2329 ac_status=$?
2330 grep -v '^ *+' conftest.er1 >conftest.err
2331 rm -f conftest.er1
2332 cat conftest.err >&5
2333 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2334 (exit $ac_status); } &&
2335 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
2336 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2337 (eval $ac_try) 2>&5
2338 ac_status=$?
2339 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2340 (exit $ac_status); }; } &&
2341 { ac_try='test -s conftest.$ac_objext'
2342 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2343 (eval $ac_try) 2>&5
2344 ac_status=$?
2345 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2346 (exit $ac_status); }; }; then
2347 ac_cv_header_stdc=yes
2348else
2349 echo "$as_me: failed program was:" >&5
2350sed 's/^/| /' conftest.$ac_ext >&5
2351
2352ac_cv_header_stdc=no
2353fi
2354rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
2355
2356if test $ac_cv_header_stdc = yes; then
2357 # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
2358 cat >conftest.$ac_ext <<_ACEOF
2359/* confdefs.h. */
2360_ACEOF
2361cat confdefs.h >>conftest.$ac_ext
2362cat >>conftest.$ac_ext <<_ACEOF
2363/* end confdefs.h. */
2364#include <string.h>
2365
2366_ACEOF
2367if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
2368 $EGREP "memchr" >/dev/null 2>&1; then
2369 :
2370else
2371 ac_cv_header_stdc=no
2372fi
2373rm -f conftest*
2374
2375fi
2376
2377if test $ac_cv_header_stdc = yes; then
2378 # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
2379 cat >conftest.$ac_ext <<_ACEOF
2380/* confdefs.h. */
2381_ACEOF
2382cat confdefs.h >>conftest.$ac_ext
2383cat >>conftest.$ac_ext <<_ACEOF
2384/* end confdefs.h. */
2385#include <stdlib.h>
2386
2387_ACEOF
2388if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
2389 $EGREP "free" >/dev/null 2>&1; then
2390 :
2391else
2392 ac_cv_header_stdc=no
2393fi
2394rm -f conftest*
2395
2396fi
2397
2398if test $ac_cv_header_stdc = yes; then
2399 # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
2400 if test "$cross_compiling" = yes; then
2401 :
2402else
2403 cat >conftest.$ac_ext <<_ACEOF
2404/* confdefs.h. */
2405_ACEOF
2406cat confdefs.h >>conftest.$ac_ext
2407cat >>conftest.$ac_ext <<_ACEOF
2408/* end confdefs.h. */
2409#include <ctype.h>
2410#if ((' ' & 0x0FF) == 0x020)
2411# define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
2412# define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
2413#else
2414# define ISLOWER(c) \
2415 (('a' <= (c) && (c) <= 'i') \
2416 || ('j' <= (c) && (c) <= 'r') \
2417 || ('s' <= (c) && (c) <= 'z'))
2418# define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
2419#endif
2420
2421#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
2422int
2423main ()
2424{
2425 int i;
2426 for (i = 0; i < 256; i++)
2427 if (XOR (islower (i), ISLOWER (i))
2428 || toupper (i) != TOUPPER (i))
2429 exit(2);
2430 exit (0);
2431}
2432_ACEOF
2433rm -f conftest$ac_exeext
2434if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
2435 (eval $ac_link) 2>&5
2436 ac_status=$?
2437 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2438 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
2439 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2440 (eval $ac_try) 2>&5
2441 ac_status=$?
2442 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2443 (exit $ac_status); }; }; then
2444 :
2445else
2446 echo "$as_me: program exited with status $ac_status" >&5
2447echo "$as_me: failed program was:" >&5
2448sed 's/^/| /' conftest.$ac_ext >&5
2449
2450( exit $ac_status )
2451ac_cv_header_stdc=no
2452fi
2453rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
2454fi
2455fi
2456fi
2457echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
2458echo "${ECHO_T}$ac_cv_header_stdc" >&6
2459if test $ac_cv_header_stdc = yes; then
2460
2461cat >>confdefs.h <<\_ACEOF
2462#define STDC_HEADERS 1
2463_ACEOF
2464
2465fi
2466
2467# On IRIX 5.3, sys/types and inttypes.h are conflicting.
2468
2469
2470
2471
2472
2473
2474
2475
2476
2477for ac_header in sys/types.h sys/stat.h stdlib.h string.h memory.h strings.h \
2478 inttypes.h stdint.h unistd.h
2479do
2480as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
2481echo "$as_me:$LINENO: checking for $ac_header" >&5
2482echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
2483if eval "test \"\${$as_ac_Header+set}\" = set"; then
2484 echo $ECHO_N "(cached) $ECHO_C" >&6
2485else
2486 cat >conftest.$ac_ext <<_ACEOF
2487/* confdefs.h. */
2488_ACEOF
2489cat confdefs.h >>conftest.$ac_ext
2490cat >>conftest.$ac_ext <<_ACEOF
2491/* end confdefs.h. */
2492$ac_includes_default
2493
2494#include <$ac_header>
2495_ACEOF
2496rm -f conftest.$ac_objext
2497if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
2498 (eval $ac_compile) 2>conftest.er1
2499 ac_status=$?
2500 grep -v '^ *+' conftest.er1 >conftest.err
2501 rm -f conftest.er1
2502 cat conftest.err >&5
2503 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2504 (exit $ac_status); } &&
2505 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
2506 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2507 (eval $ac_try) 2>&5
2508 ac_status=$?
2509 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2510 (exit $ac_status); }; } &&
2511 { ac_try='test -s conftest.$ac_objext'
2512 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2513 (eval $ac_try) 2>&5
2514 ac_status=$?
2515 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2516 (exit $ac_status); }; }; then
2517 eval "$as_ac_Header=yes"
2518else
2519 echo "$as_me: failed program was:" >&5
2520sed 's/^/| /' conftest.$ac_ext >&5
2521
2522eval "$as_ac_Header=no"
2523fi
2524rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
2525fi
2526echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
2527echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
2528if test `eval echo '${'$as_ac_Header'}'` = yes; then
2529 cat >>confdefs.h <<_ACEOF
2530#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
2531_ACEOF
2532
2533fi
2534
2535done
2536
2537
2538
2539
2540
2541
2542
2543
2544for ac_header in \
2545 pty.h \
2546 util.h \
2547 libutil.h \
2548 sys/ioctl.h \
2549 sys/stropts.h \
2550
2551do
2552as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
2553if eval "test \"\${$as_ac_Header+set}\" = set"; then
2554 echo "$as_me:$LINENO: checking for $ac_header" >&5
2555echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
2556if eval "test \"\${$as_ac_Header+set}\" = set"; then
2557 echo $ECHO_N "(cached) $ECHO_C" >&6
2558fi
2559echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
2560echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
2561else
2562 # Is the header compilable?
2563echo "$as_me:$LINENO: checking $ac_header usability" >&5
2564echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
2565cat >conftest.$ac_ext <<_ACEOF
2566/* confdefs.h. */
2567_ACEOF
2568cat confdefs.h >>conftest.$ac_ext
2569cat >>conftest.$ac_ext <<_ACEOF
2570/* end confdefs.h. */
2571$ac_includes_default
2572#include <$ac_header>
2573_ACEOF
2574rm -f conftest.$ac_objext
2575if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
2576 (eval $ac_compile) 2>conftest.er1
2577 ac_status=$?
2578 grep -v '^ *+' conftest.er1 >conftest.err
2579 rm -f conftest.er1
2580 cat conftest.err >&5
2581 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2582 (exit $ac_status); } &&
2583 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
2584 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2585 (eval $ac_try) 2>&5
2586 ac_status=$?
2587 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2588 (exit $ac_status); }; } &&
2589 { ac_try='test -s conftest.$ac_objext'
2590 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2591 (eval $ac_try) 2>&5
2592 ac_status=$?
2593 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2594 (exit $ac_status); }; }; then
2595 ac_header_compiler=yes
2596else
2597 echo "$as_me: failed program was:" >&5
2598sed 's/^/| /' conftest.$ac_ext >&5
2599
2600ac_header_compiler=no
2601fi
2602rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
2603echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
2604echo "${ECHO_T}$ac_header_compiler" >&6
2605
2606# Is the header present?
2607echo "$as_me:$LINENO: checking $ac_header presence" >&5
2608echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
2609cat >conftest.$ac_ext <<_ACEOF
2610/* confdefs.h. */
2611_ACEOF
2612cat confdefs.h >>conftest.$ac_ext
2613cat >>conftest.$ac_ext <<_ACEOF
2614/* end confdefs.h. */
2615#include <$ac_header>
2616_ACEOF
2617if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
2618 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
2619 ac_status=$?
2620 grep -v '^ *+' conftest.er1 >conftest.err
2621 rm -f conftest.er1
2622 cat conftest.err >&5
2623 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2624 (exit $ac_status); } >/dev/null; then
2625 if test -s conftest.err; then
2626 ac_cpp_err=$ac_cxx_preproc_warn_flag
2627 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
2628 else
2629 ac_cpp_err=
2630 fi
2631else
2632 ac_cpp_err=yes
2633fi
2634if test -z "$ac_cpp_err"; then
2635 ac_header_preproc=yes
2636else
2637 echo "$as_me: failed program was:" >&5
2638sed 's/^/| /' conftest.$ac_ext >&5
2639
2640 ac_header_preproc=no
2641fi
2642rm -f conftest.err conftest.$ac_ext
2643echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
2644echo "${ECHO_T}$ac_header_preproc" >&6
2645
2646# So? What about this header?
2647case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
2648 yes:no: )
2649 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
2650echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
2651 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
2652echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
2653 ac_header_preproc=yes
2654 ;;
2655 no:yes:* )
2656 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
2657echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
2658 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
2659echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
2660 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
2661echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
2662 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
2663echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
2664 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
2665echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
2666 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
2667echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
2668 (
2669 cat <<\_ASBOX
2670## ------------------------------------------ ##
2671## Report this to the AC_PACKAGE_NAME lists. ##
2672## ------------------------------------------ ##
2673_ASBOX
2674 ) |
2675 sed "s/^/$as_me: WARNING: /" >&2
2676 ;;
2677esac
2678echo "$as_me:$LINENO: checking for $ac_header" >&5
2679echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
2680if eval "test \"\${$as_ac_Header+set}\" = set"; then
2681 echo $ECHO_N "(cached) $ECHO_C" >&6
2682else
2683 eval "$as_ac_Header=\$ac_header_preproc"
2684fi
2685echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
2686echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
2687
2688fi
2689if test `eval echo '${'$as_ac_Header'}'` = yes; then
2690 cat >>confdefs.h <<_ACEOF
2691#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
2692_ACEOF
2693
2694fi
2695
2696done
2697
2698
2699
2700
2701
2702
2703
2704for ac_func in \
2705 revoke \
2706 _getpty \
2707 getpt \
2708 posix_openpt \
2709 isastream \
2710
2711do
2712as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
2713echo "$as_me:$LINENO: checking for $ac_func" >&5
2714echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
2715if eval "test \"\${$as_ac_var+set}\" = set"; then
2716 echo $ECHO_N "(cached) $ECHO_C" >&6
2717else
2718 cat >conftest.$ac_ext <<_ACEOF
2719/* confdefs.h. */
2720_ACEOF
2721cat confdefs.h >>conftest.$ac_ext
2722cat >>conftest.$ac_ext <<_ACEOF
2723/* end confdefs.h. */
2724/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
2725 For example, HP-UX 11i <limits.h> declares gettimeofday. */
2726#define $ac_func innocuous_$ac_func
2727
2728/* System header to define __stub macros and hopefully few prototypes,
2729 which can conflict with char $ac_func (); below.
2730 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
2731 <limits.h> exists even on freestanding compilers. */
2732
2733#ifdef __STDC__
2734# include <limits.h>
2735#else
2736# include <assert.h>
2737#endif
2738
2739#undef $ac_func
2740
2741/* Override any gcc2 internal prototype to avoid an error. */
2742#ifdef __cplusplus
2743extern "C"
2744{
2745#endif
2746/* We use char because int might match the return type of a gcc2
2747 builtin and then its argument prototype would still apply. */
2748char $ac_func ();
2749/* The GNU C library defines this for functions which it implements
2750 to always fail with ENOSYS. Some functions are actually named
2751 something starting with __ and the normal name is an alias. */
2752#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
2753choke me
2754#else
2755char (*f) () = $ac_func;
2756#endif
2757#ifdef __cplusplus
2758}
2759#endif
2760
2761int
2762main ()
2763{
2764return f != $ac_func;
2765 ;
2766 return 0;
2767}
2768_ACEOF
2769rm -f conftest.$ac_objext conftest$ac_exeext
2770if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
2771 (eval $ac_link) 2>conftest.er1
2772 ac_status=$?
2773 grep -v '^ *+' conftest.er1 >conftest.err
2774 rm -f conftest.er1
2775 cat conftest.err >&5
2776 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2777 (exit $ac_status); } &&
2778 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
2779 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2780 (eval $ac_try) 2>&5
2781 ac_status=$?
2782 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2783 (exit $ac_status); }; } &&
2784 { ac_try='test -s conftest$ac_exeext'
2785 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2786 (eval $ac_try) 2>&5
2787 ac_status=$?
2788 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2789 (exit $ac_status); }; }; then
2790 eval "$as_ac_var=yes"
2791else
2792 echo "$as_me: failed program was:" >&5
2793sed 's/^/| /' conftest.$ac_ext >&5
2794
2795eval "$as_ac_var=no"
2796fi
2797rm -f conftest.err conftest.$ac_objext \
2798 conftest$ac_exeext conftest.$ac_ext
2799fi
2800echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
2801echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
2802if test `eval echo '${'$as_ac_var'}'` = yes; then
2803 cat >>confdefs.h <<_ACEOF
2804#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
2805_ACEOF
2806
2807fi
2808done
2809
2810
2811have_clone=no
2812
2813echo "$as_me:$LINENO: checking for /dev/ptym/clone" >&5
2814echo $ECHO_N "checking for /dev/ptym/clone... $ECHO_C" >&6
2815if test -e /dev/ptym/clone; then
2816 echo "$as_me:$LINENO: result: yes" >&5
2817echo "${ECHO_T}yes" >&6
2818
2819cat >>confdefs.h <<\_ACEOF
2820#define HAVE_DEV_CLONE 1
2821_ACEOF
2822
2823
2824cat >>confdefs.h <<\_ACEOF
2825#define CLONE_DEVICE "/dev/ptym/clone"
2826_ACEOF
2827
2828 have_clone=yes
2829else
2830 echo "$as_me:$LINENO: result: no" >&5
2831echo "${ECHO_T}no" >&6
2832fi
2833
2834echo "$as_me:$LINENO: checking for /dev/ptc" >&5
2835echo $ECHO_N "checking for /dev/ptc... $ECHO_C" >&6
2836if test -e /dev/ptc; then
2837 echo "$as_me:$LINENO: result: yes" >&5
2838echo "${ECHO_T}yes" >&6
2839
2840cat >>confdefs.h <<\_ACEOF
2841#define HAVE_DEV_PTC 1
2842_ACEOF
2843
2844
2845cat >>confdefs.h <<\_ACEOF
2846#define CLONE_DEVICE "/dev/ptc"
2847_ACEOF
2848
2849 have_clone=yes
2850else
2851 echo "$as_me:$LINENO: result: no" >&5
2852echo "${ECHO_T}no" >&6
2853fi
2854
2855case $host in
2856 *-*-cygwin*)
2857 have_clone=yes
2858
2859cat >>confdefs.h <<\_ACEOF
2860#define CLONE_DEVICE "/dev/ptmx"
2861_ACEOF
2862
2863 ;;
2864 *)
2865 echo "$as_me:$LINENO: checking for /dev/ptmx" >&5
2866echo $ECHO_N "checking for /dev/ptmx... $ECHO_C" >&6
2867 if test -e /dev/ptmx; then
2868 echo "$as_me:$LINENO: result: yes" >&5
2869echo "${ECHO_T}yes" >&6
2870
2871cat >>confdefs.h <<\_ACEOF
2872#define HAVE_DEV_PTMX 1
2873_ACEOF
2874
2875
2876cat >>confdefs.h <<\_ACEOF
2877#define CLONE_DEVICE "/dev/ptmx"
2878_ACEOF
2879
2880 have_clone=yes
2881 else
2882 echo "$as_me:$LINENO: result: no" >&5
2883echo "${ECHO_T}no" >&6
2884 fi
2885 ;;
2886esac
2887
2888if test x$ac_cv_func_getpt = xyes -o x$ac_cv_func_posix_openpt = xyes -o x$have_clone = xyes; then
2889 echo "$as_me:$LINENO: checking for UNIX98 ptys" >&5
2890echo $ECHO_N "checking for UNIX98 ptys... $ECHO_C" >&6
2891 cat >conftest.$ac_ext <<_ACEOF
2892/* confdefs.h. */
2893_ACEOF
2894cat confdefs.h >>conftest.$ac_ext
2895cat >>conftest.$ac_ext <<_ACEOF
2896/* end confdefs.h. */
2897#include <stdlib.h>
2898int
2899main ()
2900{
2901grantpt(0);unlockpt(0);ptsname(0);
2902 ;
2903 return 0;
2904}
2905_ACEOF
2906rm -f conftest.$ac_objext conftest$ac_exeext
2907if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
2908 (eval $ac_link) 2>conftest.er1
2909 ac_status=$?
2910 grep -v '^ *+' conftest.er1 >conftest.err
2911 rm -f conftest.er1
2912 cat conftest.err >&5
2913 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2914 (exit $ac_status); } &&
2915 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
2916 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2917 (eval $ac_try) 2>&5
2918 ac_status=$?
2919 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2920 (exit $ac_status); }; } &&
2921 { ac_try='test -s conftest$ac_exeext'
2922 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2923 (eval $ac_try) 2>&5
2924 ac_status=$?
2925 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2926 (exit $ac_status); }; }; then
2927 unix98_pty=yes
2928
2929cat >>confdefs.h <<\_ACEOF
2930#define UNIX98_PTY 1
2931_ACEOF
2932
2933 echo "$as_me:$LINENO: result: yes" >&5
2934echo "${ECHO_T}yes" >&6
2935else
2936 echo "$as_me: failed program was:" >&5
2937sed 's/^/| /' conftest.$ac_ext >&5
2938
2939echo "$as_me:$LINENO: result: no" >&5
2940echo "${ECHO_T}no" >&6
2941fi
2942rm -f conftest.err conftest.$ac_objext \
2943 conftest$ac_exeext conftest.$ac_ext
2944fi
2945
2946if test -z "$unix98_pty"; then
2947
2948for ac_func in openpty
2949do
2950as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
2951echo "$as_me:$LINENO: checking for $ac_func" >&5
2952echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
2953if eval "test \"\${$as_ac_var+set}\" = set"; then
2954 echo $ECHO_N "(cached) $ECHO_C" >&6
2955else
2956 cat >conftest.$ac_ext <<_ACEOF
2957/* confdefs.h. */
2958_ACEOF
2959cat confdefs.h >>conftest.$ac_ext
2960cat >>conftest.$ac_ext <<_ACEOF
2961/* end confdefs.h. */
2962/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
2963 For example, HP-UX 11i <limits.h> declares gettimeofday. */
2964#define $ac_func innocuous_$ac_func
2965
2966/* System header to define __stub macros and hopefully few prototypes,
2967 which can conflict with char $ac_func (); below.
2968 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
2969 <limits.h> exists even on freestanding compilers. */
2970
2971#ifdef __STDC__
2972# include <limits.h>
2973#else
2974# include <assert.h>
2975#endif
2976
2977#undef $ac_func
2978
2979/* Override any gcc2 internal prototype to avoid an error. */
2980#ifdef __cplusplus
2981extern "C"
2982{
2983#endif
2984/* We use char because int might match the return type of a gcc2
2985 builtin and then its argument prototype would still apply. */
2986char $ac_func ();
2987/* The GNU C library defines this for functions which it implements
2988 to always fail with ENOSYS. Some functions are actually named
2989 something starting with __ and the normal name is an alias. */
2990#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
2991choke me
2992#else
2993char (*f) () = $ac_func;
2994#endif
2995#ifdef __cplusplus
2996}
2997#endif
2998
2999int
3000main ()
3001{
3002return f != $ac_func;
3003 ;
3004 return 0;
3005}
3006_ACEOF
3007rm -f conftest.$ac_objext conftest$ac_exeext
3008if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
3009 (eval $ac_link) 2>conftest.er1
3010 ac_status=$?
3011 grep -v '^ *+' conftest.er1 >conftest.err
3012 rm -f conftest.er1
3013 cat conftest.err >&5
3014 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3015 (exit $ac_status); } &&
3016 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
3017 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3018 (eval $ac_try) 2>&5
3019 ac_status=$?
3020 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3021 (exit $ac_status); }; } &&
3022 { ac_try='test -s conftest$ac_exeext'
3023 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3024 (eval $ac_try) 2>&5
3025 ac_status=$?
3026 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3027 (exit $ac_status); }; }; then
3028 eval "$as_ac_var=yes"
3029else
3030 echo "$as_me: failed program was:" >&5
3031sed 's/^/| /' conftest.$ac_ext >&5
3032
3033eval "$as_ac_var=no"
3034fi
3035rm -f conftest.err conftest.$ac_objext \
3036 conftest$ac_exeext conftest.$ac_ext
3037fi
3038echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
3039echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
3040if test `eval echo '${'$as_ac_var'}'` = yes; then
3041 cat >>confdefs.h <<_ACEOF
3042#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
3043_ACEOF
3044
3045else
3046 echo "$as_me:$LINENO: checking for openpty in -lutil" >&5
3047echo $ECHO_N "checking for openpty in -lutil... $ECHO_C" >&6
3048if test "${ac_cv_lib_util_openpty+set}" = set; then
3049 echo $ECHO_N "(cached) $ECHO_C" >&6
3050else
3051 ac_check_lib_save_LIBS=$LIBS
3052LIBS="-lutil $LIBS"
3053cat >conftest.$ac_ext <<_ACEOF
3054/* confdefs.h. */
3055_ACEOF
3056cat confdefs.h >>conftest.$ac_ext
3057cat >>conftest.$ac_ext <<_ACEOF
3058/* end confdefs.h. */
3059
3060/* Override any gcc2 internal prototype to avoid an error. */
3061#ifdef __cplusplus
3062extern "C"
3063#endif
3064/* We use char because int might match the return type of a gcc2
3065 builtin and then its argument prototype would still apply. */
3066char openpty ();
3067int
3068main ()
3069{
3070openpty ();
3071 ;
3072 return 0;
3073}
3074_ACEOF
3075rm -f conftest.$ac_objext conftest$ac_exeext
3076if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
3077 (eval $ac_link) 2>conftest.er1
3078 ac_status=$?
3079 grep -v '^ *+' conftest.er1 >conftest.err
3080 rm -f conftest.er1
3081 cat conftest.err >&5
3082 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3083 (exit $ac_status); } &&
3084 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
3085 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3086 (eval $ac_try) 2>&5
3087 ac_status=$?
3088 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3089 (exit $ac_status); }; } &&
3090 { ac_try='test -s conftest$ac_exeext'
3091 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3092 (eval $ac_try) 2>&5
3093 ac_status=$?
3094 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3095 (exit $ac_status); }; }; then
3096 ac_cv_lib_util_openpty=yes
3097else
3098 echo "$as_me: failed program was:" >&5
3099sed 's/^/| /' conftest.$ac_ext >&5
3100
3101ac_cv_lib_util_openpty=no
3102fi
3103rm -f conftest.err conftest.$ac_objext \
3104 conftest$ac_exeext conftest.$ac_ext
3105LIBS=$ac_check_lib_save_LIBS
3106fi
3107echo "$as_me:$LINENO: result: $ac_cv_lib_util_openpty" >&5
3108echo "${ECHO_T}$ac_cv_lib_util_openpty" >&6
3109if test $ac_cv_lib_util_openpty = yes; then
3110 cat >>confdefs.h <<\_ACEOF
3111#define HAVE_OPENPTY 1
3112_ACEOF
3113 LIBS="$LIBS -lutil"
3114fi
3115
3116fi
3117done
3118
3119fi
3120
3121
3122
3123
3124
3125
3126for ac_func in \
3127 ttyslot \
3128 updwtmp \
3129 updwtmpx \
3130
3131do
3132as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
3133echo "$as_me:$LINENO: checking for $ac_func" >&5
3134echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
3135if eval "test \"\${$as_ac_var+set}\" = set"; then
3136 echo $ECHO_N "(cached) $ECHO_C" >&6
3137else
3138 cat >conftest.$ac_ext <<_ACEOF
3139/* confdefs.h. */
3140_ACEOF
3141cat confdefs.h >>conftest.$ac_ext
3142cat >>conftest.$ac_ext <<_ACEOF
3143/* end confdefs.h. */
3144/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
3145 For example, HP-UX 11i <limits.h> declares gettimeofday. */
3146#define $ac_func innocuous_$ac_func
3147
3148/* System header to define __stub macros and hopefully few prototypes,
3149 which can conflict with char $ac_func (); below.
3150 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
3151 <limits.h> exists even on freestanding compilers. */
3152
3153#ifdef __STDC__
3154# include <limits.h>
3155#else
3156# include <assert.h>
3157#endif
3158
3159#undef $ac_func
3160
3161/* Override any gcc2 internal prototype to avoid an error. */
3162#ifdef __cplusplus
3163extern "C"
3164{
3165#endif
3166/* We use char because int might match the return type of a gcc2
3167 builtin and then its argument prototype would still apply. */
3168char $ac_func ();
3169/* The GNU C library defines this for functions which it implements
3170 to always fail with ENOSYS. Some functions are actually named
3171 something starting with __ and the normal name is an alias. */
3172#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
3173choke me
3174#else
3175char (*f) () = $ac_func;
3176#endif
3177#ifdef __cplusplus
3178}
3179#endif
3180
3181int
3182main ()
3183{
3184return f != $ac_func;
3185 ;
3186 return 0;
3187}
3188_ACEOF
3189rm -f conftest.$ac_objext conftest$ac_exeext
3190if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
3191 (eval $ac_link) 2>conftest.er1
3192 ac_status=$?
3193 grep -v '^ *+' conftest.er1 >conftest.err
3194 rm -f conftest.er1
3195 cat conftest.err >&5
3196 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3197 (exit $ac_status); } &&
3198 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
3199 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3200 (eval $ac_try) 2>&5
3201 ac_status=$?
3202 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3203 (exit $ac_status); }; } &&
3204 { ac_try='test -s conftest$ac_exeext'
3205 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3206 (eval $ac_try) 2>&5
3207 ac_status=$?
3208 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3209 (exit $ac_status); }; }; then
3210 eval "$as_ac_var=yes"
3211else
3212 echo "$as_me: failed program was:" >&5
3213sed 's/^/| /' conftest.$ac_ext >&5
3214
3215eval "$as_ac_var=no"
3216fi
3217rm -f conftest.err conftest.$ac_objext \
3218 conftest$ac_exeext conftest.$ac_ext
3219fi
3220echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
3221echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
3222if test `eval echo '${'$as_ac_var'}'` = yes; then
3223 cat >>confdefs.h <<_ACEOF
3224#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
3225_ACEOF
3226
3227fi
3228done
3229
3230
3231
3232
3233
3234for ac_header in \
3235 utmp.h \
3236 utmpx.h \
3237 lastlog.h \
3238
3239do
3240as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
3241if eval "test \"\${$as_ac_Header+set}\" = set"; then
3242 echo "$as_me:$LINENO: checking for $ac_header" >&5
3243echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
3244if eval "test \"\${$as_ac_Header+set}\" = set"; then
3245 echo $ECHO_N "(cached) $ECHO_C" >&6
3246fi
3247echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
3248echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
3249else
3250 # Is the header compilable?
3251echo "$as_me:$LINENO: checking $ac_header usability" >&5
3252echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
3253cat >conftest.$ac_ext <<_ACEOF
3254/* confdefs.h. */
3255_ACEOF
3256cat confdefs.h >>conftest.$ac_ext
3257cat >>conftest.$ac_ext <<_ACEOF
3258/* end confdefs.h. */
3259$ac_includes_default
3260#include <$ac_header>
3261_ACEOF
3262rm -f conftest.$ac_objext
3263if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
3264 (eval $ac_compile) 2>conftest.er1
3265 ac_status=$?
3266 grep -v '^ *+' conftest.er1 >conftest.err
3267 rm -f conftest.er1
3268 cat conftest.err >&5
3269 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3270 (exit $ac_status); } &&
3271 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
3272 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3273 (eval $ac_try) 2>&5
3274 ac_status=$?
3275 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3276 (exit $ac_status); }; } &&
3277 { ac_try='test -s conftest.$ac_objext'
3278 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3279 (eval $ac_try) 2>&5
3280 ac_status=$?
3281 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3282 (exit $ac_status); }; }; then
3283 ac_header_compiler=yes
3284else
3285 echo "$as_me: failed program was:" >&5
3286sed 's/^/| /' conftest.$ac_ext >&5
3287
3288ac_header_compiler=no
3289fi
3290rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
3291echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
3292echo "${ECHO_T}$ac_header_compiler" >&6
3293
3294# Is the header present?
3295echo "$as_me:$LINENO: checking $ac_header presence" >&5
3296echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
3297cat >conftest.$ac_ext <<_ACEOF
3298/* confdefs.h. */
3299_ACEOF
3300cat confdefs.h >>conftest.$ac_ext
3301cat >>conftest.$ac_ext <<_ACEOF
3302/* end confdefs.h. */
3303#include <$ac_header>
3304_ACEOF
3305if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
3306 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
3307 ac_status=$?
3308 grep -v '^ *+' conftest.er1 >conftest.err
3309 rm -f conftest.er1
3310 cat conftest.err >&5
3311 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3312 (exit $ac_status); } >/dev/null; then
3313 if test -s conftest.err; then
3314 ac_cpp_err=$ac_cxx_preproc_warn_flag
3315 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
3316 else
3317 ac_cpp_err=
3318 fi
3319else
3320 ac_cpp_err=yes
3321fi
3322if test -z "$ac_cpp_err"; then
3323 ac_header_preproc=yes
3324else
3325 echo "$as_me: failed program was:" >&5
3326sed 's/^/| /' conftest.$ac_ext >&5
3327
3328 ac_header_preproc=no
3329fi
3330rm -f conftest.err conftest.$ac_ext
3331echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
3332echo "${ECHO_T}$ac_header_preproc" >&6
3333
3334# So? What about this header?
3335case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
3336 yes:no: )
3337 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
3338echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
3339 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
3340echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
3341 ac_header_preproc=yes
3342 ;;
3343 no:yes:* )
3344 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
3345echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
3346 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
3347echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
3348 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
3349echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
3350 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
3351echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
3352 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
3353echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
3354 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
3355echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
3356 (
3357 cat <<\_ASBOX
3358## ------------------------------------------ ##
3359## Report this to the AC_PACKAGE_NAME lists. ##
3360## ------------------------------------------ ##
3361_ASBOX
3362 ) |
3363 sed "s/^/$as_me: WARNING: /" >&2
3364 ;;
3365esac
3366echo "$as_me:$LINENO: checking for $ac_header" >&5
3367echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
3368if eval "test \"\${$as_ac_Header+set}\" = set"; then
3369 echo $ECHO_N "(cached) $ECHO_C" >&6
3370else
3371 eval "$as_ac_Header=\$ac_header_preproc"
3372fi
3373echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
3374echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
3375
3376fi
3377if test `eval echo '${'$as_ac_Header'}'` = yes; then
3378 cat >>confdefs.h <<_ACEOF
3379#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
3380_ACEOF
3381
3382fi
3383
3384done
3385
3386
3387
3388if test "${ac_cv_header_utmp_h+set}" = set; then
3389 echo "$as_me:$LINENO: checking for utmp.h" >&5
3390echo $ECHO_N "checking for utmp.h... $ECHO_C" >&6
3391if test "${ac_cv_header_utmp_h+set}" = set; then
3392 echo $ECHO_N "(cached) $ECHO_C" >&6
3393fi
3394echo "$as_me:$LINENO: result: $ac_cv_header_utmp_h" >&5
3395echo "${ECHO_T}$ac_cv_header_utmp_h" >&6
3396else
3397 # Is the header compilable?
3398echo "$as_me:$LINENO: checking utmp.h usability" >&5
3399echo $ECHO_N "checking utmp.h usability... $ECHO_C" >&6
3400cat >conftest.$ac_ext <<_ACEOF
3401/* confdefs.h. */
3402_ACEOF
3403cat confdefs.h >>conftest.$ac_ext
3404cat >>conftest.$ac_ext <<_ACEOF
3405/* end confdefs.h. */
3406$ac_includes_default
3407#include <utmp.h>
3408_ACEOF
3409rm -f conftest.$ac_objext
3410if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
3411 (eval $ac_compile) 2>conftest.er1
3412 ac_status=$?
3413 grep -v '^ *+' conftest.er1 >conftest.err
3414 rm -f conftest.er1
3415 cat conftest.err >&5
3416 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3417 (exit $ac_status); } &&
3418 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
3419 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3420 (eval $ac_try) 2>&5
3421 ac_status=$?
3422 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3423 (exit $ac_status); }; } &&
3424 { ac_try='test -s conftest.$ac_objext'
3425 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3426 (eval $ac_try) 2>&5
3427 ac_status=$?
3428 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3429 (exit $ac_status); }; }; then
3430 ac_header_compiler=yes
3431else
3432 echo "$as_me: failed program was:" >&5
3433sed 's/^/| /' conftest.$ac_ext >&5
3434
3435ac_header_compiler=no
3436fi
3437rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
3438echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
3439echo "${ECHO_T}$ac_header_compiler" >&6
3440
3441# Is the header present?
3442echo "$as_me:$LINENO: checking utmp.h presence" >&5
3443echo $ECHO_N "checking utmp.h presence... $ECHO_C" >&6
3444cat >conftest.$ac_ext <<_ACEOF
3445/* confdefs.h. */
3446_ACEOF
3447cat confdefs.h >>conftest.$ac_ext
3448cat >>conftest.$ac_ext <<_ACEOF
3449/* end confdefs.h. */
3450#include <utmp.h>
3451_ACEOF
3452if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
3453 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
3454 ac_status=$?
3455 grep -v '^ *+' conftest.er1 >conftest.err
3456 rm -f conftest.er1
3457 cat conftest.err >&5
3458 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3459 (exit $ac_status); } >/dev/null; then
3460 if test -s conftest.err; then
3461 ac_cpp_err=$ac_cxx_preproc_warn_flag
3462 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
3463 else
3464 ac_cpp_err=
3465 fi
3466else
3467 ac_cpp_err=yes
3468fi
3469if test -z "$ac_cpp_err"; then
3470 ac_header_preproc=yes
3471else
3472 echo "$as_me: failed program was:" >&5
3473sed 's/^/| /' conftest.$ac_ext >&5
3474
3475 ac_header_preproc=no
3476fi
3477rm -f conftest.err conftest.$ac_ext
3478echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
3479echo "${ECHO_T}$ac_header_preproc" >&6
3480
3481# So? What about this header?
3482case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
3483 yes:no: )
3484 { echo "$as_me:$LINENO: WARNING: utmp.h: accepted by the compiler, rejected by the preprocessor!" >&5
3485echo "$as_me: WARNING: utmp.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
3486 { echo "$as_me:$LINENO: WARNING: utmp.h: proceeding with the compiler's result" >&5
3487echo "$as_me: WARNING: utmp.h: proceeding with the compiler's result" >&2;}
3488 ac_header_preproc=yes
3489 ;;
3490 no:yes:* )
3491 { echo "$as_me:$LINENO: WARNING: utmp.h: present but cannot be compiled" >&5
3492echo "$as_me: WARNING: utmp.h: present but cannot be compiled" >&2;}
3493 { echo "$as_me:$LINENO: WARNING: utmp.h: check for missing prerequisite headers?" >&5
3494echo "$as_me: WARNING: utmp.h: check for missing prerequisite headers?" >&2;}
3495 { echo "$as_me:$LINENO: WARNING: utmp.h: see the Autoconf documentation" >&5
3496echo "$as_me: WARNING: utmp.h: see the Autoconf documentation" >&2;}
3497 { echo "$as_me:$LINENO: WARNING: utmp.h: section \"Present But Cannot Be Compiled\"" >&5
3498echo "$as_me: WARNING: utmp.h: section \"Present But Cannot Be Compiled\"" >&2;}
3499 { echo "$as_me:$LINENO: WARNING: utmp.h: proceeding with the preprocessor's result" >&5
3500echo "$as_me: WARNING: utmp.h: proceeding with the preprocessor's result" >&2;}
3501 { echo "$as_me:$LINENO: WARNING: utmp.h: in the future, the compiler will take precedence" >&5
3502echo "$as_me: WARNING: utmp.h: in the future, the compiler will take precedence" >&2;}
3503 (
3504 cat <<\_ASBOX
3505## ------------------------------------------ ##
3506## Report this to the AC_PACKAGE_NAME lists. ##
3507## ------------------------------------------ ##
3508_ASBOX
3509 ) |
3510 sed "s/^/$as_me: WARNING: /" >&2
3511 ;;
3512esac
3513echo "$as_me:$LINENO: checking for utmp.h" >&5
3514echo $ECHO_N "checking for utmp.h... $ECHO_C" >&6
3515if test "${ac_cv_header_utmp_h+set}" = set; then
3516 echo $ECHO_N "(cached) $ECHO_C" >&6
3517else
3518 ac_cv_header_utmp_h=$ac_header_preproc
3519fi
3520echo "$as_me:$LINENO: result: $ac_cv_header_utmp_h" >&5
3521echo "${ECHO_T}$ac_cv_header_utmp_h" >&6
3522
3523fi
3524if test $ac_cv_header_utmp_h = yes; then
3525 echo "$as_me:$LINENO: checking for struct utmp" >&5
3526echo $ECHO_N "checking for struct utmp... $ECHO_C" >&6
3527if test "${struct_utmp+set}" = set; then
3528 echo $ECHO_N "(cached) $ECHO_C" >&6
3529else
3530 cat >conftest.$ac_ext <<_ACEOF
3531/* confdefs.h. */
3532_ACEOF
3533cat confdefs.h >>conftest.$ac_ext
3534cat >>conftest.$ac_ext <<_ACEOF
3535/* end confdefs.h. */
3536#include <sys/types.h>
3537#include <utmp.h>
3538int
3539main ()
3540{
3541struct utmp ut;
3542 ;
3543 return 0;
3544}
3545_ACEOF
3546rm -f conftest.$ac_objext
3547if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
3548 (eval $ac_compile) 2>conftest.er1
3549 ac_status=$?
3550 grep -v '^ *+' conftest.er1 >conftest.err
3551 rm -f conftest.er1
3552 cat conftest.err >&5
3553 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3554 (exit $ac_status); } &&
3555 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
3556 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3557 (eval $ac_try) 2>&5
3558 ac_status=$?
3559 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3560 (exit $ac_status); }; } &&
3561 { ac_try='test -s conftest.$ac_objext'
3562 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3563 (eval $ac_try) 2>&5
3564 ac_status=$?
3565 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3566 (exit $ac_status); }; }; then
3567 struct_utmp=yes
3568else
3569 echo "$as_me: failed program was:" >&5
3570sed 's/^/| /' conftest.$ac_ext >&5
3571
3572struct_utmp=no
3573fi
3574rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
3575fi
3576echo "$as_me:$LINENO: result: $struct_utmp" >&5
3577echo "${ECHO_T}$struct_utmp" >&6
3578if test x$struct_utmp = xyes; then
3579
3580cat >>confdefs.h <<\_ACEOF
3581#define HAVE_STRUCT_UTMP 1
3582_ACEOF
3583
3584fi
3585
3586
3587echo "$as_me:$LINENO: checking for ut_host in utmp struct" >&5
3588echo $ECHO_N "checking for ut_host in utmp struct... $ECHO_C" >&6
3589if test "${struct_utmp_host+set}" = set; then
3590 echo $ECHO_N "(cached) $ECHO_C" >&6
3591else
3592 cat >conftest.$ac_ext <<_ACEOF
3593/* confdefs.h. */
3594_ACEOF
3595cat confdefs.h >>conftest.$ac_ext
3596cat >>conftest.$ac_ext <<_ACEOF
3597/* end confdefs.h. */
3598#include <sys/types.h>
3599#include <utmp.h>
3600int
3601main ()
3602{
3603struct utmp ut; ut.ut_host;
3604 ;
3605 return 0;
3606}
3607_ACEOF
3608rm -f conftest.$ac_objext
3609if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
3610 (eval $ac_compile) 2>conftest.er1
3611 ac_status=$?
3612 grep -v '^ *+' conftest.er1 >conftest.err
3613 rm -f conftest.er1
3614 cat conftest.err >&5
3615 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3616 (exit $ac_status); } &&
3617 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
3618 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3619 (eval $ac_try) 2>&5
3620 ac_status=$?
3621 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3622 (exit $ac_status); }; } &&
3623 { ac_try='test -s conftest.$ac_objext'
3624 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3625 (eval $ac_try) 2>&5
3626 ac_status=$?
3627 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3628 (exit $ac_status); }; }; then
3629 struct_utmp_host=yes
3630else
3631 echo "$as_me: failed program was:" >&5
3632sed 's/^/| /' conftest.$ac_ext >&5
3633
3634struct_utmp_host=no
3635fi
3636rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
3637fi
3638echo "$as_me:$LINENO: result: $struct_utmp_host" >&5
3639echo "${ECHO_T}$struct_utmp_host" >&6
3640if test x$struct_utmp_host = xyes; then
3641
3642cat >>confdefs.h <<\_ACEOF
3643#define HAVE_UTMP_HOST 1
3644_ACEOF
3645
3646fi
3647
3648echo "$as_me:$LINENO: checking for ut_pid in utmp struct" >&5
3649echo $ECHO_N "checking for ut_pid in utmp struct... $ECHO_C" >&6
3650if test "${struct_utmp_pid+set}" = set; then
3651 echo $ECHO_N "(cached) $ECHO_C" >&6
3652else
3653 cat >conftest.$ac_ext <<_ACEOF
3654/* confdefs.h. */
3655_ACEOF
3656cat confdefs.h >>conftest.$ac_ext
3657cat >>conftest.$ac_ext <<_ACEOF
3658/* end confdefs.h. */
3659#include <sys/types.h>
3660#include <utmp.h>
3661int
3662main ()
3663{
3664struct utmp ut; ut.ut_pid;
3665 ;
3666 return 0;
3667}
3668_ACEOF
3669rm -f conftest.$ac_objext
3670if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
3671 (eval $ac_compile) 2>conftest.er1
3672 ac_status=$?
3673 grep -v '^ *+' conftest.er1 >conftest.err
3674 rm -f conftest.er1
3675 cat conftest.err >&5
3676 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3677 (exit $ac_status); } &&
3678 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
3679 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3680 (eval $ac_try) 2>&5
3681 ac_status=$?
3682 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3683 (exit $ac_status); }; } &&
3684 { ac_try='test -s conftest.$ac_objext'
3685 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3686 (eval $ac_try) 2>&5
3687 ac_status=$?
3688 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3689 (exit $ac_status); }; }; then
3690 struct_utmp_pid=yes
3691else
3692 echo "$as_me: failed program was:" >&5
3693sed 's/^/| /' conftest.$ac_ext >&5
3694
3695struct_utmp_pid=no
3696fi
3697rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
3698fi
3699echo "$as_me:$LINENO: result: $struct_utmp_pid" >&5
3700echo "${ECHO_T}$struct_utmp_pid" >&6
3701if test x$struct_utmp_pid = xyes; then
3702
3703cat >>confdefs.h <<\_ACEOF
3704#define HAVE_UTMP_PID 1
3705_ACEOF
3706
3707fi
3708
3709fi
3710
3711
3712
3713if test "${ac_cv_header_utmpx_h+set}" = set; then
3714 echo "$as_me:$LINENO: checking for utmpx.h" >&5
3715echo $ECHO_N "checking for utmpx.h... $ECHO_C" >&6
3716if test "${ac_cv_header_utmpx_h+set}" = set; then
3717 echo $ECHO_N "(cached) $ECHO_C" >&6
3718fi
3719echo "$as_me:$LINENO: result: $ac_cv_header_utmpx_h" >&5
3720echo "${ECHO_T}$ac_cv_header_utmpx_h" >&6
3721else
3722 # Is the header compilable?
3723echo "$as_me:$LINENO: checking utmpx.h usability" >&5
3724echo $ECHO_N "checking utmpx.h usability... $ECHO_C" >&6
3725cat >conftest.$ac_ext <<_ACEOF
3726/* confdefs.h. */
3727_ACEOF
3728cat confdefs.h >>conftest.$ac_ext
3729cat >>conftest.$ac_ext <<_ACEOF
3730/* end confdefs.h. */
3731$ac_includes_default
3732#include <utmpx.h>
3733_ACEOF
3734rm -f conftest.$ac_objext
3735if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
3736 (eval $ac_compile) 2>conftest.er1
3737 ac_status=$?
3738 grep -v '^ *+' conftest.er1 >conftest.err
3739 rm -f conftest.er1
3740 cat conftest.err >&5
3741 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3742 (exit $ac_status); } &&
3743 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
3744 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3745 (eval $ac_try) 2>&5
3746 ac_status=$?
3747 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3748 (exit $ac_status); }; } &&
3749 { ac_try='test -s conftest.$ac_objext'
3750 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3751 (eval $ac_try) 2>&5
3752 ac_status=$?
3753 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3754 (exit $ac_status); }; }; then
3755 ac_header_compiler=yes
3756else
3757 echo "$as_me: failed program was:" >&5
3758sed 's/^/| /' conftest.$ac_ext >&5
3759
3760ac_header_compiler=no
3761fi
3762rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
3763echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
3764echo "${ECHO_T}$ac_header_compiler" >&6
3765
3766# Is the header present?
3767echo "$as_me:$LINENO: checking utmpx.h presence" >&5
3768echo $ECHO_N "checking utmpx.h presence... $ECHO_C" >&6
3769cat >conftest.$ac_ext <<_ACEOF
3770/* confdefs.h. */
3771_ACEOF
3772cat confdefs.h >>conftest.$ac_ext
3773cat >>conftest.$ac_ext <<_ACEOF
3774/* end confdefs.h. */
3775#include <utmpx.h>
3776_ACEOF
3777if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
3778 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
3779 ac_status=$?
3780 grep -v '^ *+' conftest.er1 >conftest.err
3781 rm -f conftest.er1
3782 cat conftest.err >&5
3783 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3784 (exit $ac_status); } >/dev/null; then
3785 if test -s conftest.err; then
3786 ac_cpp_err=$ac_cxx_preproc_warn_flag
3787 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
3788 else
3789 ac_cpp_err=
3790 fi
3791else
3792 ac_cpp_err=yes
3793fi
3794if test -z "$ac_cpp_err"; then
3795 ac_header_preproc=yes
3796else
3797 echo "$as_me: failed program was:" >&5
3798sed 's/^/| /' conftest.$ac_ext >&5
3799
3800 ac_header_preproc=no
3801fi
3802rm -f conftest.err conftest.$ac_ext
3803echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
3804echo "${ECHO_T}$ac_header_preproc" >&6
3805
3806# So? What about this header?
3807case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
3808 yes:no: )
3809 { echo "$as_me:$LINENO: WARNING: utmpx.h: accepted by the compiler, rejected by the preprocessor!" >&5
3810echo "$as_me: WARNING: utmpx.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
3811 { echo "$as_me:$LINENO: WARNING: utmpx.h: proceeding with the compiler's result" >&5
3812echo "$as_me: WARNING: utmpx.h: proceeding with the compiler's result" >&2;}
3813 ac_header_preproc=yes
3814 ;;
3815 no:yes:* )
3816 { echo "$as_me:$LINENO: WARNING: utmpx.h: present but cannot be compiled" >&5
3817echo "$as_me: WARNING: utmpx.h: present but cannot be compiled" >&2;}
3818 { echo "$as_me:$LINENO: WARNING: utmpx.h: check for missing prerequisite headers?" >&5
3819echo "$as_me: WARNING: utmpx.h: check for missing prerequisite headers?" >&2;}
3820 { echo "$as_me:$LINENO: WARNING: utmpx.h: see the Autoconf documentation" >&5
3821echo "$as_me: WARNING: utmpx.h: see the Autoconf documentation" >&2;}
3822 { echo "$as_me:$LINENO: WARNING: utmpx.h: section \"Present But Cannot Be Compiled\"" >&5
3823echo "$as_me: WARNING: utmpx.h: section \"Present But Cannot Be Compiled\"" >&2;}
3824 { echo "$as_me:$LINENO: WARNING: utmpx.h: proceeding with the preprocessor's result" >&5
3825echo "$as_me: WARNING: utmpx.h: proceeding with the preprocessor's result" >&2;}
3826 { echo "$as_me:$LINENO: WARNING: utmpx.h: in the future, the compiler will take precedence" >&5
3827echo "$as_me: WARNING: utmpx.h: in the future, the compiler will take precedence" >&2;}
3828 (
3829 cat <<\_ASBOX
3830## ------------------------------------------ ##
3831## Report this to the AC_PACKAGE_NAME lists. ##
3832## ------------------------------------------ ##
3833_ASBOX
3834 ) |
3835 sed "s/^/$as_me: WARNING: /" >&2
3836 ;;
3837esac
3838echo "$as_me:$LINENO: checking for utmpx.h" >&5
3839echo $ECHO_N "checking for utmpx.h... $ECHO_C" >&6
3840if test "${ac_cv_header_utmpx_h+set}" = set; then
3841 echo $ECHO_N "(cached) $ECHO_C" >&6
3842else
3843 ac_cv_header_utmpx_h=$ac_header_preproc
3844fi
3845echo "$as_me:$LINENO: result: $ac_cv_header_utmpx_h" >&5
3846echo "${ECHO_T}$ac_cv_header_utmpx_h" >&6
3847
3848fi
3849if test $ac_cv_header_utmpx_h = yes; then
3850 echo "$as_me:$LINENO: checking for struct utmpx" >&5
3851echo $ECHO_N "checking for struct utmpx... $ECHO_C" >&6
3852if test "${struct_utmpx+set}" = set; then
3853 echo $ECHO_N "(cached) $ECHO_C" >&6
3854else
3855 cat >conftest.$ac_ext <<_ACEOF
3856/* confdefs.h. */
3857_ACEOF
3858cat confdefs.h >>conftest.$ac_ext
3859cat >>conftest.$ac_ext <<_ACEOF
3860/* end confdefs.h. */
3861#include <sys/types.h>
3862#include <utmpx.h>
3863int
3864main ()
3865{
3866struct utmpx ut;
3867 ;
3868 return 0;
3869}
3870_ACEOF
3871rm -f conftest.$ac_objext
3872if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
3873 (eval $ac_compile) 2>conftest.er1
3874 ac_status=$?
3875 grep -v '^ *+' conftest.er1 >conftest.err
3876 rm -f conftest.er1
3877 cat conftest.err >&5
3878 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3879 (exit $ac_status); } &&
3880 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
3881 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3882 (eval $ac_try) 2>&5
3883 ac_status=$?
3884 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3885 (exit $ac_status); }; } &&
3886 { ac_try='test -s conftest.$ac_objext'
3887 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3888 (eval $ac_try) 2>&5
3889 ac_status=$?
3890 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3891 (exit $ac_status); }; }; then
3892 struct_utmpx=yes
3893else
3894 echo "$as_me: failed program was:" >&5
3895sed 's/^/| /' conftest.$ac_ext >&5
3896
3897struct_utmpx=no
3898fi
3899rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
3900fi
3901echo "$as_me:$LINENO: result: $struct_utmpx" >&5
3902echo "${ECHO_T}$struct_utmpx" >&6
3903if test x$struct_utmpx = xyes; then
3904
3905cat >>confdefs.h <<\_ACEOF
3906#define HAVE_STRUCT_UTMPX 1
3907_ACEOF
3908
3909fi
3910
3911
3912echo "$as_me:$LINENO: checking for host in utmpx struct" >&5
3913echo $ECHO_N "checking for host in utmpx struct... $ECHO_C" >&6
3914if test "${struct_utmpx_host+set}" = set; then
3915 echo $ECHO_N "(cached) $ECHO_C" >&6
3916else
3917 cat >conftest.$ac_ext <<_ACEOF
3918/* confdefs.h. */
3919_ACEOF
3920cat confdefs.h >>conftest.$ac_ext
3921cat >>conftest.$ac_ext <<_ACEOF
3922/* end confdefs.h. */
3923#include <sys/types.h>
3924#include <utmpx.h>
3925int
3926main ()
3927{
3928struct utmpx utx; utx.ut_host;
3929 ;
3930 return 0;
3931}
3932_ACEOF
3933rm -f conftest.$ac_objext
3934if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
3935 (eval $ac_compile) 2>conftest.er1
3936 ac_status=$?
3937 grep -v '^ *+' conftest.er1 >conftest.err
3938 rm -f conftest.er1
3939 cat conftest.err >&5
3940 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3941 (exit $ac_status); } &&
3942 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
3943 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3944 (eval $ac_try) 2>&5
3945 ac_status=$?
3946 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3947 (exit $ac_status); }; } &&
3948 { ac_try='test -s conftest.$ac_objext'
3949 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3950 (eval $ac_try) 2>&5
3951 ac_status=$?
3952 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3953 (exit $ac_status); }; }; then
3954 struct_utmpx_host=yes
3955else
3956 echo "$as_me: failed program was:" >&5
3957sed 's/^/| /' conftest.$ac_ext >&5
3958
3959struct_utmpx_host=no
3960fi
3961rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
3962fi
3963echo "$as_me:$LINENO: result: $struct_utmpx_host" >&5
3964echo "${ECHO_T}$struct_utmpx_host" >&6
3965if test x$struct_utmpx_host = xyes; then
3966
3967cat >>confdefs.h <<\_ACEOF
3968#define HAVE_UTMPX_HOST 1
3969_ACEOF
3970
3971fi
3972
3973echo "$as_me:$LINENO: checking for session in utmpx struct" >&5
3974echo $ECHO_N "checking for session in utmpx struct... $ECHO_C" >&6
3975if test "${struct_utmpx_session+set}" = set; then
3976 echo $ECHO_N "(cached) $ECHO_C" >&6
3977else
3978 cat >conftest.$ac_ext <<_ACEOF
3979/* confdefs.h. */
3980_ACEOF
3981cat confdefs.h >>conftest.$ac_ext
3982cat >>conftest.$ac_ext <<_ACEOF
3983/* end confdefs.h. */
3984#include <sys/types.h>
3985#include <utmpx.h>
3986int
3987main ()
3988{
3989struct utmpx utx; utx.ut_session;
3990 ;
3991 return 0;
3992}
3993_ACEOF
3994rm -f conftest.$ac_objext
3995if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
3996 (eval $ac_compile) 2>conftest.er1
3997 ac_status=$?
3998 grep -v '^ *+' conftest.er1 >conftest.err
3999 rm -f conftest.er1
4000 cat conftest.err >&5
4001 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4002 (exit $ac_status); } &&
4003 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
4004 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4005 (eval $ac_try) 2>&5
4006 ac_status=$?
4007 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4008 (exit $ac_status); }; } &&
4009 { ac_try='test -s conftest.$ac_objext'
4010 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4011 (eval $ac_try) 2>&5
4012 ac_status=$?
4013 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4014 (exit $ac_status); }; }; then
4015 struct_utmpx_session=yes
4016else
4017 echo "$as_me: failed program was:" >&5
4018sed 's/^/| /' conftest.$ac_ext >&5
4019
4020struct_utmpx_session=no
4021fi
4022rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
4023fi
4024echo "$as_me:$LINENO: result: $struct_utmpx_session" >&5
4025echo "${ECHO_T}$struct_utmpx_session" >&6
4026if test x$struct_utmpx_session = xyes; then
4027
4028cat >>confdefs.h <<\_ACEOF
4029#define HAVE_UTMPX_SESSION 1
4030_ACEOF
4031
4032fi
4033
4034fi
4035
4036
4037echo "$as_me:$LINENO: checking for struct lastlog" >&5
4038echo $ECHO_N "checking for struct lastlog... $ECHO_C" >&6
4039if test "${struct_lastlog+set}" = set; then
4040 echo $ECHO_N "(cached) $ECHO_C" >&6
4041else
4042 cat >conftest.$ac_ext <<_ACEOF
4043/* confdefs.h. */
4044_ACEOF
4045cat confdefs.h >>conftest.$ac_ext
4046cat >>conftest.$ac_ext <<_ACEOF
4047/* end confdefs.h. */
4048#include <sys/types.h>
4049#include <utmp.h>
4050#ifdef HAVE_LASTLOG_H
4051#include <lastlog.h>
4052#endif
4053
4054int
4055main ()
4056{
4057struct lastlog ll;
4058 ;
4059 return 0;
4060}
4061_ACEOF
4062rm -f conftest.$ac_objext
4063if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
4064 (eval $ac_compile) 2>conftest.er1
4065 ac_status=$?
4066 grep -v '^ *+' conftest.er1 >conftest.err
4067 rm -f conftest.er1
4068 cat conftest.err >&5
4069 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4070 (exit $ac_status); } &&
4071 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
4072 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4073 (eval $ac_try) 2>&5
4074 ac_status=$?
4075 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4076 (exit $ac_status); }; } &&
4077 { ac_try='test -s conftest.$ac_objext'
4078 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4079 (eval $ac_try) 2>&5
4080 ac_status=$?
4081 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4082 (exit $ac_status); }; }; then
4083 struct_lastlog=yes
4084else
4085 echo "$as_me: failed program was:" >&5
4086sed 's/^/| /' conftest.$ac_ext >&5
4087
4088struct_lastlog=no
4089fi
4090rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
4091fi
4092echo "$as_me:$LINENO: result: $struct_lastlog" >&5
4093echo "${ECHO_T}$struct_lastlog" >&6
4094if test x$struct_lastlog = xyes; then
4095
4096cat >>confdefs.h <<\_ACEOF
4097#define HAVE_STRUCT_LASTLOG 1
4098_ACEOF
4099
4100fi
4101
4102echo "$as_me:$LINENO: checking for struct lastlogx" >&5
4103echo $ECHO_N "checking for struct lastlogx... $ECHO_C" >&6
4104if test "${struct_lastlogx+set}" = set; then
4105 echo $ECHO_N "(cached) $ECHO_C" >&6
4106else
4107 cat >conftest.$ac_ext <<_ACEOF
4108/* confdefs.h. */
4109_ACEOF
4110cat confdefs.h >>conftest.$ac_ext
4111cat >>conftest.$ac_ext <<_ACEOF
4112/* end confdefs.h. */
4113#include <sys/types.h>
4114#include <utmpx.h>
4115#ifdef HAVE_LASTLOG_H
4116#include <lastlog.h>
4117#endif
4118
4119int
4120main ()
4121{
4122struct lastlogx ll;
4123 ;
4124 return 0;
4125}
4126_ACEOF
4127rm -f conftest.$ac_objext
4128if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
4129 (eval $ac_compile) 2>conftest.er1
4130 ac_status=$?
4131 grep -v '^ *+' conftest.er1 >conftest.err
4132 rm -f conftest.er1
4133 cat conftest.err >&5
4134 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4135 (exit $ac_status); } &&
4136 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
4137 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4138 (eval $ac_try) 2>&5
4139 ac_status=$?
4140 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4141 (exit $ac_status); }; } &&
4142 { ac_try='test -s conftest.$ac_objext'
4143 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4144 (eval $ac_try) 2>&5
4145 ac_status=$?
4146 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4147 (exit $ac_status); }; }; then
4148 struct_lastlogx=yes
4149else
4150 echo "$as_me: failed program was:" >&5
4151sed 's/^/| /' conftest.$ac_ext >&5
4152
4153struct_lastlogx=no
4154fi
4155rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
4156fi
4157echo "$as_me:$LINENO: result: $struct_lastlogx" >&5
4158echo "${ECHO_T}$struct_lastlogx" >&6
4159if test x$struct_lastlogx = xyes; then
4160
4161cat >>confdefs.h <<\_ACEOF
4162#define HAVE_STRUCT_LASTLOGX 1
4163_ACEOF
4164
4165fi
4166
4167
4168echo "$as_me:$LINENO: checking where utmp is located" >&5
4169echo $ECHO_N "checking where utmp is located... $ECHO_C" >&6
4170if test "${path_utmp+set}" = set; then
4171 echo $ECHO_N "(cached) $ECHO_C" >&6
4172else
4173 if test "$cross_compiling" = yes; then
4174 { echo "$as_me:$LINENO: WARNING: Define UTMP_FILE in config.h manually" >&5
4175echo "$as_me: WARNING: Define UTMP_FILE in config.h manually" >&2;}
4176else
4177 cat >conftest.$ac_ext <<_ACEOF
4178/* confdefs.h. */
4179_ACEOF
4180cat confdefs.h >>conftest.$ac_ext
4181cat >>conftest.$ac_ext <<_ACEOF
4182/* end confdefs.h. */
4183#include <stdio.h>
4184#include <sys/types.h>
4185#include <utmp.h>
4186#include <errno.h>
4187main()
4188{
4189 char **u, *utmplist[] = {
4190 "/var/run/utmp", "/var/adm/utmp", "/etc/utmp", "/usr/etc/utmp", "/usr/adm/utmp", NULL };
4191 FILE *a, *f=fopen("conftestval", "w");
4192 if (!f) exit(1);
4193#ifdef UTMP_FILE
4194 fprintf(f, "%s\n", UTMP_FILE);
4195 exit(0);
4196#endif
4197#ifdef _PATH_UTMP
4198 fprintf(f, "%s\n", _PATH_UTMP);
4199 exit(0);
4200#endif
4201 for (u = utmplist; *u; u++) {
4202 if ((a = fopen(*u, "r")) != NULL || errno == EACCES) {
4203 fprintf(f, "%s\n", *u);
4204 exit(0);
4205 }
4206 }
4207 exit(0);
4208}
4209_ACEOF
4210rm -f conftest$ac_exeext
4211if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4212 (eval $ac_link) 2>&5
4213 ac_status=$?
4214 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4215 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
4216 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4217 (eval $ac_try) 2>&5
4218 ac_status=$?
4219 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4220 (exit $ac_status); }; }; then
4221 path_utmp=`cat conftestval`
4222else
4223 echo "$as_me: program exited with status $ac_status" >&5
4224echo "$as_me: failed program was:" >&5
4225sed 's/^/| /' conftest.$ac_ext >&5
4226
4227( exit $ac_status )
4228path_utmp=
4229fi
4230rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
4231fi
4232fi
4233echo "$as_me:$LINENO: result: $path_utmp" >&5
4234echo "${ECHO_T}$path_utmp" >&6
4235if test x$path_utmp != x; then
4236
4237cat >>confdefs.h <<_ACEOF
4238#define UTMP_FILE "$path_utmp"
4239_ACEOF
4240
4241fi
4242
4243
4244echo "$as_me:$LINENO: checking where utmpx is located" >&5
4245echo $ECHO_N "checking where utmpx is located... $ECHO_C" >&6
4246if test "${path_utmpx+set}" = set; then
4247 echo $ECHO_N "(cached) $ECHO_C" >&6
4248else
4249 if test "$cross_compiling" = yes; then
4250 { echo "$as_me:$LINENO: WARNING: Define UTMPX_FILE in config.h manually" >&5
4251echo "$as_me: WARNING: Define UTMPX_FILE in config.h manually" >&2;}
4252else
4253 cat >conftest.$ac_ext <<_ACEOF
4254/* confdefs.h. */
4255_ACEOF
4256cat confdefs.h >>conftest.$ac_ext
4257cat >>conftest.$ac_ext <<_ACEOF
4258/* end confdefs.h. */
4259#include <stdio.h>
4260#include <sys/types.h>
4261#include <utmpx.h>
4262#include <errno.h>
4263#include <sys/stat.h>
4264#ifdef HAVE_STRING_H
4265#include <string.h>
4266#endif
4267main()
4268{
4269 char **u, *p, *utmplist[] = {
4270#ifdef UTMPX_FILE
4271 UTMPX_FILE,
4272#endif
4273#ifdef _PATH_UTMPX
4274 _PATH_UTMPX,
4275#endif
4276 "/var/adm/utmpx", "/etc/utmpx", NULL };
4277 FILE *a, *f=fopen("conftestval", "w");
4278 struct stat statu, statux;
4279 if (!f) exit(1);
4280 for (u = utmplist; *u; u++) {
4281 if ((a = fopen(*u, "r")) != NULL || errno == EACCES) {
4282 if (stat(*u, &statux) < 0)
4283 continue;
4284 p = strdup(*u);
4285 p[strlen(p) - 1] = '\0';
4286 if (stat(p, &statu) >= 0
4287 && (statu.st_mtime - statux.st_mtime > 86400))
4288 continue;
4289 fprintf(f, "%s\n", *u);
4290 exit(0);
4291 }
4292 }
4293 exit(0);
4294}
4295_ACEOF
4296rm -f conftest$ac_exeext
4297if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4298 (eval $ac_link) 2>&5
4299 ac_status=$?
4300 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4301 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
4302 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4303 (eval $ac_try) 2>&5
4304 ac_status=$?
4305 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4306 (exit $ac_status); }; }; then
4307 path_utmpx=`cat conftestval`
4308else
4309 echo "$as_me: program exited with status $ac_status" >&5
4310echo "$as_me: failed program was:" >&5
4311sed 's/^/| /' conftest.$ac_ext >&5
4312
4313( exit $ac_status )
4314path_utmpx=
4315fi
4316rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
4317fi
4318fi
4319echo "$as_me:$LINENO: result: $path_utmpx" >&5
4320echo "${ECHO_T}$path_utmpx" >&6
4321if test x$path_utmpx != x; then
4322
4323cat >>confdefs.h <<_ACEOF
4324#define UTMPX_FILE "$path_utmpx"
4325_ACEOF
4326
4327fi
4328
4329
4330echo "$as_me:$LINENO: checking where wtmp is located" >&5
4331echo $ECHO_N "checking where wtmp is located... $ECHO_C" >&6
4332if test "${path_wtmp+set}" = set; then
4333 echo $ECHO_N "(cached) $ECHO_C" >&6
4334else
4335 if test "$cross_compiling" = yes; then
4336 { echo "$as_me:$LINENO: WARNING: Define WTMP_FILE in config.h manually" >&5
4337echo "$as_me: WARNING: Define WTMP_FILE in config.h manually" >&2;}
4338else
4339 cat >conftest.$ac_ext <<_ACEOF
4340/* confdefs.h. */
4341_ACEOF
4342cat confdefs.h >>conftest.$ac_ext
4343cat >>conftest.$ac_ext <<_ACEOF
4344/* end confdefs.h. */
4345#include <stdio.h>
4346#include <sys/types.h>
4347#ifdef HAVE_UTMP_H
4348#include <utmp.h>
4349#endif
4350#include <errno.h>
4351main()
4352{
4353 char **w, *wtmplist[] = {
4354 "/var/log/wtmp", "/var/adm/wtmp", "/etc/wtmp", "/usr/etc/wtmp", "/usr/adm/wtmp", NULL };
4355 FILE *a, *f=fopen("conftestval", "w");
4356 if (!f) exit(1);
4357#ifdef WTMP_FILE
4358 fprintf(f, "%s\n", WTMP_FILE);
4359 exit(0);
4360#endif
4361#ifdef _PATH_WTMP
4362 fprintf(f, "%s\n", _PATH_WTMP);
4363 exit(0);
4364#endif
4365 for (w = wtmplist; *w; w++) {
4366 if ((a = fopen(*w, "r")) != NULL || errno == EACCES) {
4367 fprintf(f, "%s\n", *w);
4368 exit(0);
4369 }
4370 }
4371 exit(0);
4372}
4373_ACEOF
4374rm -f conftest$ac_exeext
4375if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4376 (eval $ac_link) 2>&5
4377 ac_status=$?
4378 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4379 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
4380 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4381 (eval $ac_try) 2>&5
4382 ac_status=$?
4383 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4384 (exit $ac_status); }; }; then
4385 path_wtmp=`cat conftestval`
4386else
4387 echo "$as_me: program exited with status $ac_status" >&5
4388echo "$as_me: failed program was:" >&5
4389sed 's/^/| /' conftest.$ac_ext >&5
4390
4391( exit $ac_status )
4392path_wtmp=
4393fi
4394rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
4395fi
4396fi
4397echo "$as_me:$LINENO: result: $path_wtmp" >&5
4398echo "${ECHO_T}$path_wtmp" >&6
4399if test x$path_wtmp != x; then
4400
4401cat >>confdefs.h <<_ACEOF
4402#define WTMP_FILE "$path_wtmp"
4403_ACEOF
4404
4405fi
4406
4407echo "$as_me:$LINENO: checking where wtmpx is located" >&5
4408echo $ECHO_N "checking where wtmpx is located... $ECHO_C" >&6
4409if test "${path_wtmpx+set}" = set; then
4410 echo $ECHO_N "(cached) $ECHO_C" >&6
4411else
4412 if test "$cross_compiling" = yes; then
4413 { echo "$as_me:$LINENO: WARNING: Define WTMPX_FILE in config.h manually" >&5
4414echo "$as_me: WARNING: Define WTMPX_FILE in config.h manually" >&2;}
4415else
4416 cat >conftest.$ac_ext <<_ACEOF
4417/* confdefs.h. */
4418_ACEOF
4419cat confdefs.h >>conftest.$ac_ext
4420cat >>conftest.$ac_ext <<_ACEOF
4421/* end confdefs.h. */
4422#include <stdio.h>
4423#ifdef HAVE_UTMPX_H
4424#include <utmpx.h>
4425#endif
4426#include <errno.h>
4427main()
4428{
4429 char **w, *wtmplist[] = {
4430 "/var/log/wtmpx", "/var/adm/wtmpx", NULL };
4431 FILE *a, *f=fopen("conftestval", "w");
4432 if (!f) exit(1);
4433#ifdef WTMPX_FILE
4434 fprintf(f, "%s\n", WTMPX_FILE);
4435 exit(0);
4436#endif
4437#ifdef _PATH_WTMPX
4438 fprintf(f, "%s\n", _PATH_WTMPX);
4439 exit(0);
4440#endif
4441 for (w = wtmplist; *w; w++) {
4442 if ((a = fopen(*w, "r")) != NULL || errno == EACCES) {
4443 fprintf(f, "%s\n", *w);
4444 exit(0);
4445 }
4446 }
4447 exit(0);
4448}
4449_ACEOF
4450rm -f conftest$ac_exeext
4451if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4452 (eval $ac_link) 2>&5
4453 ac_status=$?
4454 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4455 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
4456 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4457 (eval $ac_try) 2>&5
4458 ac_status=$?
4459 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4460 (exit $ac_status); }; }; then
4461 path_wtmpx=`cat conftestval`
4462else
4463 echo "$as_me: program exited with status $ac_status" >&5
4464echo "$as_me: failed program was:" >&5
4465sed 's/^/| /' conftest.$ac_ext >&5
4466
4467( exit $ac_status )
4468path_wtmpx=
4469fi
4470rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
4471fi
4472fi
4473echo "$as_me:$LINENO: result: $path_wtmpx" >&5
4474echo "${ECHO_T}$path_wtmpx" >&6
4475if test x$path_wtmpx != x; then
4476
4477cat >>confdefs.h <<_ACEOF
4478#define WTMPX_FILE "$path_wtmpx"
4479_ACEOF
4480
4481fi
4482
4483echo "$as_me:$LINENO: checking where lastlog is located" >&5
4484echo $ECHO_N "checking where lastlog is located... $ECHO_C" >&6
4485if test "${path_lastlog+set}" = set; then
4486 echo $ECHO_N "(cached) $ECHO_C" >&6
4487else
4488 if test "$cross_compiling" = yes; then
4489 { echo "$as_me:$LINENO: WARNING: Define LASTLOG_FILE in config.h manually" >&5
4490echo "$as_me: WARNING: Define LASTLOG_FILE in config.h manually" >&2;}
4491else
4492 cat >conftest.$ac_ext <<_ACEOF
4493/* confdefs.h. */
4494_ACEOF
4495cat confdefs.h >>conftest.$ac_ext
4496cat >>conftest.$ac_ext <<_ACEOF
4497/* end confdefs.h. */
4498#include <stdio.h>
4499#include <sys/types.h>
4500#ifdef HAVE_UTMPX_H
4501#include <utmpx.h>
4502#elif defined(HAVE_UTMP_H)
4503#include <utmp.h>
4504#endif
4505#ifdef HAVE_LASTLOG_H
4506#include <lastlog.h>
4507#endif
4508#include <errno.h>
4509main()
4510{
4511 char **w, *lastloglist[] = { "/var/log/lastlog", NULL };
4512 FILE *a, *f=fopen("conftestval", "w");
4513 if (!f) exit(1);
4514#ifdef LASTLOG_FILE
4515 fprintf(f, "%s\n", LASTLOG_FILE);
4516 exit(0);
4517#endif
4518#ifdef _PATH_LASTLOG
4519 fprintf(f, "%s\n", _PATH_LASTLOG);
4520 exit(0);
4521#endif
4522 for (w = lastloglist; *w; w++) {
4523 if ((a = fopen(*w, "r")) != NULL || errno == EACCES) {
4524 fprintf(f, "%s\n", *w);
4525 exit(0);
4526 }
4527 }
4528 exit(0);
4529}
4530_ACEOF
4531rm -f conftest$ac_exeext
4532if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4533 (eval $ac_link) 2>&5
4534 ac_status=$?
4535 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4536 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
4537 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4538 (eval $ac_try) 2>&5
4539 ac_status=$?
4540 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4541 (exit $ac_status); }; }; then
4542 path_lastlog=`cat conftestval`
4543else
4544 echo "$as_me: program exited with status $ac_status" >&5
4545echo "$as_me: failed program was:" >&5
4546sed 's/^/| /' conftest.$ac_ext >&5
4547
4548( exit $ac_status )
4549path_lastlog=
4550fi
4551rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
4552fi
4553fi
4554echo "$as_me:$LINENO: result: $path_lastlog" >&5
4555echo "${ECHO_T}$path_lastlog" >&6
4556if test x$path_lastlog != x; then
4557
4558cat >>confdefs.h <<_ACEOF
4559#define LASTLOG_FILE "$path_lastlog"
4560_ACEOF
4561
4562 if test -d "$path_lastlog"; then
4563
4564cat >>confdefs.h <<\_ACEOF
4565#define LASTLOG_IS_DIR 1
4566_ACEOF
4567
4568 fi
4569fi
4570
4571echo "$as_me:$LINENO: checking where lastlogx is located" >&5
4572echo $ECHO_N "checking where lastlogx is located... $ECHO_C" >&6
4573if test "${path_lastlogx+set}" = set; then
4574 echo $ECHO_N "(cached) $ECHO_C" >&6
4575else
4576 if test "$cross_compiling" = yes; then
4577 { echo "$as_me:$LINENO: WARNING: Define LASTLOGX_FILE in config.h manually" >&5
4578echo "$as_me: WARNING: Define LASTLOGX_FILE in config.h manually" >&2;}
4579else
4580 cat >conftest.$ac_ext <<_ACEOF
4581/* confdefs.h. */
4582_ACEOF
4583cat confdefs.h >>conftest.$ac_ext
4584cat >>conftest.$ac_ext <<_ACEOF
4585/* end confdefs.h. */
4586#include <stdio.h>
4587#ifdef HAVE_UTMPX_H
4588#include <utmpx.h>
4589#endif
4590#include <errno.h>
4591main()
4592{
4593 char **w, *wtmplist[] = { "/var/log/lastlogx", "/var/adm/lastlogx", NULL };
4594 FILE *a, *f=fopen("conftestval", "w");
4595 if (!f) exit(1);
4596#ifdef LASTLOGX_FILE
4597 fprintf(f, "%s\n", LASTLOGX_FILE);
4598 exit(0);
4599#endif
4600#ifdef _PATH_LASTLOGX
4601 fprintf(f, "%s\n", _PATH_LASTLOGX);
4602 exit(0);
4603#endif
4604 for (w = wtmplist; *w; w++) {
4605 if ((a = fopen(*w, "r")) != NULL || errno == EACCES) {
4606 fprintf(f, "%s\n", *w);
4607 exit(0);
4608 }
4609 }
4610 exit(0);
4611}
4612_ACEOF
4613rm -f conftest$ac_exeext
4614if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4615 (eval $ac_link) 2>&5
4616 ac_status=$?
4617 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4618 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
4619 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4620 (eval $ac_try) 2>&5
4621 ac_status=$?
4622 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4623 (exit $ac_status); }; }; then
4624 path_lastlogx=`cat conftestval`
4625else
4626 echo "$as_me: program exited with status $ac_status" >&5
4627echo "$as_me: failed program was:" >&5
4628sed 's/^/| /' conftest.$ac_ext >&5
4629
4630( exit $ac_status )
4631path_lastlogx=
4632fi
4633rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
4634fi
4635fi
4636echo "$as_me:$LINENO: result: $path_lastlogx" >&5
4637echo "${ECHO_T}$path_lastlogx" >&6
4638if test x$path_lastlogx != x; then
4639
4640cat >>confdefs.h <<_ACEOF
4641#define LASTLOGX_FILE "$path_lastlogx"
4642_ACEOF
4643
4644fi
4645
4646
4647
4648echo "$as_me:$LINENO: checking for unix-compliant filehandle passing ability" >&5
4649echo $ECHO_N "checking for unix-compliant filehandle passing ability... $ECHO_C" >&6
4650if test "${can_pass_fds+set}" = set; then
4651 echo $ECHO_N "(cached) $ECHO_C" >&6
4652else
4653 cat >conftest.$ac_ext <<_ACEOF
4654/* confdefs.h. */
4655_ACEOF
4656cat confdefs.h >>conftest.$ac_ext
4657cat >>conftest.$ac_ext <<_ACEOF
4658/* end confdefs.h. */
4659
4660#include <cstddef> // broken bsds (is that redundant) need this
4661#include <sys/types.h>
4662#include <sys/socket.h>
4663#include <sys/uio.h>
4664
4665int
4666main ()
4667{
4668
4669{
4670 msghdr msg;
4671 iovec iov;
4672 char buf [100];
4673 char data = 0;
4674
4675 iov.iov_base = &data;
4676 iov.iov_len = 1;
4677
4678 msg.msg_iov = &iov;
4679 msg.msg_iovlen = 1;
4680 msg.msg_control = buf;
4681 msg.msg_controllen = sizeof buf;
4682
4683 cmsghdr *cmsg = CMSG_FIRSTHDR (&msg);
4684 cmsg->cmsg_level = SOL_SOCKET;
4685 cmsg->cmsg_type = SCM_RIGHTS;
4686 cmsg->cmsg_len = 100;
4687
4688 *(int *)CMSG_DATA (cmsg) = 5;
4689
4690 return sendmsg (3, &msg, 0);
4691}
4692
4693 ;
4694 return 0;
4695}
4696_ACEOF
4697rm -f conftest.$ac_objext conftest$ac_exeext
4698if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4699 (eval $ac_link) 2>conftest.er1
4700 ac_status=$?
4701 grep -v '^ *+' conftest.er1 >conftest.err
4702 rm -f conftest.er1
4703 cat conftest.err >&5
4704 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4705 (exit $ac_status); } &&
4706 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
4707 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4708 (eval $ac_try) 2>&5
4709 ac_status=$?
4710 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4711 (exit $ac_status); }; } &&
4712 { ac_try='test -s conftest$ac_exeext'
4713 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4714 (eval $ac_try) 2>&5
4715 ac_status=$?
4716 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4717 (exit $ac_status); }; }; then
4718 can_pass_fds=yes
4719else
4720 echo "$as_me: failed program was:" >&5
4721sed 's/^/| /' conftest.$ac_ext >&5
4722
4723can_pass_fds=no
4724fi
4725rm -f conftest.err conftest.$ac_objext \
4726 conftest$ac_exeext conftest.$ac_ext
4727fi
4728echo "$as_me:$LINENO: result: $can_pass_fds" >&5
4729echo "${ECHO_T}$can_pass_fds" >&6
4730if test x$can_pass_fds = xyes; then
4731
4732cat >>confdefs.h <<\_ACEOF
4733#define HAVE_UNIX_FDPASS 1
4734_ACEOF
4735
4736else
4737 { { echo "$as_me:$LINENO: error: libptytty requires unix-compliant filehandle passing ability" >&5
4738echo "$as_me: error: libptytty requires unix-compliant filehandle passing ability" >&2;}
4739 { (exit 1); exit 1; }; }
4740fi
1971 4741
1972 4742
1973 ac_config_files="$ac_config_files Makefile doc/Makefile src/Makefile" 4743 ac_config_files="$ac_config_files Makefile doc/Makefile src/Makefile"
1974 4744
1975cat >confcache <<\_ACEOF 4745cat >confcache <<\_ACEOF
2601s,@EXEEXT@,$EXEEXT,;t t 5371s,@EXEEXT@,$EXEEXT,;t t
2602s,@OBJEXT@,$OBJEXT,;t t 5372s,@OBJEXT@,$OBJEXT,;t t
2603s,@INSTALL_PROGRAM@,$INSTALL_PROGRAM,;t t 5373s,@INSTALL_PROGRAM@,$INSTALL_PROGRAM,;t t
2604s,@INSTALL_SCRIPT@,$INSTALL_SCRIPT,;t t 5374s,@INSTALL_SCRIPT@,$INSTALL_SCRIPT,;t t
2605s,@INSTALL_DATA@,$INSTALL_DATA,;t t 5375s,@INSTALL_DATA@,$INSTALL_DATA,;t t
5376s,@RM@,$RM,;t t
5377s,@CXXCPP@,$CXXCPP,;t t
5378s,@EGREP@,$EGREP,;t t
2606s,@LIBOBJS@,$LIBOBJS,;t t 5379s,@LIBOBJS@,$LIBOBJS,;t t
2607s,@LTLIBOBJS@,$LTLIBOBJS,;t t 5380s,@LTLIBOBJS@,$LTLIBOBJS,;t t
2608CEOF 5381CEOF
2609 5382
2610_ACEOF 5383_ACEOF
3095 # Use ||, not &&, to avoid exiting from the if with $? = 1, which 5868 # Use ||, not &&, to avoid exiting from the if with $? = 1, which
3096 # would make configure fail if this is the last instruction. 5869 # would make configure fail if this is the last instruction.
3097 $ac_cs_success || { (exit 1); exit 1; } 5870 $ac_cs_success || { (exit 1); exit 1; }
3098fi 5871fi
3099 5872
3100

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines